## usplash 0.5.25

=== debian/changelog ===
usplash (0.5.25) intrepid; urgency=low

  * libusplash.h: Export usplash_timeout_get_string() definition and provide a
    backward compatibility definition for usplash_get_string(), which got
    more or less accidentally removed in r174. This is a prerequisite for
    fixing bug 114688. Thanks to Andrea Gasparini for the patch!
    (LP: #224709)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 16 Oct 2008 23:39:43 +0200

usplash (0.5.24) intrepid; urgency=low

  * debian/usplash.init, stop(): Call usplash_down if usplash is not already
    running. In previous releases, the display manager started it, but in the
    modern ConsoleKit world, nothing else triggers it any more. (LP: #264696)
  * debian/rules: Move stop rc.d priority to 02, to avoid racing with gdm
    (which is also at 01) when using init script parallelization. 
  * Add debian/usplash.preinst to do above rc.d priority migration on updates.
    (Needs to be kept until after the next LTS)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Oct 2008 12:02:24 +0200

usplash (0.5.23) intrepid; urgency=low

  * usplash_write.c: do not perror(open) if EACCESS (LP: #251656).

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 28 Jul 2008 09:50:22 -0500

usplash (0.5.22) intrepid; urgency=low

  * usplash-theme.h: Add a "void* private" pointer to the theme, so that
    themes have an easy way of storing some custom data. Bump THEME_VERSION to
    3 to reflect the ABI change. Thanks to David Härdeman for the patch!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 14 Jul 2008 19:11:12 +0100

usplash (0.5.21) intrepid; urgency=low

  * Sync with Debian Sid's 0.5.19-2 to reduce Delta to Debian:
    - debian/control: Only specify architectures where usplash works.
    - debian/control: Add usplash Recommends: a theme.
    - debian/control: Fix ${source:Version} → ${binary:Version}.
    - debian/libusplash-dev.links: Fix link to libusplash.so.0 to avoid
      dpkg-shlibdeps confusion. (Debian #424731)
    - Add debian/lsb-base-logging.sh to the source. It is not shipped in
      Ubuntu though, since Ubuntu's lsb-base package already provides the
      script.
    - Add debian/splash-functions and install it to /lib/init/. This
      implements the new sysvinit's API for generic splash screen support.
    - debian/rules: Do not ignore "make clean" errors.
    - initramfs/scripts/init-top/usplash, usplash_down: Recognize "nosplash"
      kernel parameter.
    - debian/usplash.init: Call console-screen.sh init script with "start"
      argument to avoid relying on undocumented behaviour. (Debian #457655)
    - debian/usplash.init: Drop useless grep call.
    - debian/usplash.init: More robust parsing of /proc/cmdline.
    - debian/rules: Create kbd and console-tools config.d scripts to avoid
      them starting while usplash is running.
    - Bump Standards-Version (no changes necessary).
  * debian/control: Set Maintainer to Ubuntu core-dev.
  * debian/copyright: Small updates.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 May 2008 21:41:59 +0200

usplash (0.5.20) intrepid; urgency=low

  * usplash.{c,8}: add "-p" option to allow starting in pulsating mode.
  * scripts/init-top/usplash: remove 1 second sleep, use "-p" instead.

 -- Kees Cook <kees@ubuntu.com>  Thu, 22 May 2008 09:45:07 -0700
