## usplash 0.5.31

=== debian/changelog ===
usplash (0.5.31) jaunty; urgency=low

  * {lib,}usplash.c: do not clear text area before doing input prompting.
    If the text area is cleared, TEXT-URGENT information is wiped from
    the screen before prompting.  Instead, correctly clear text area on
    start-up regardless of verbosity level.

 -- Kees Cook <kees@ubuntu.com>  Mon, 09 Mar 2009 15:12:58 -0700

usplash (0.5.30) jaunty; urgency=low

  * Providing a background image for all possible resolutions has become too
    cumbersome. Thus change theme definitions to be able to provide just a
    logo, its screen position, and an explicit theme size: (LP: #64147)
    - usplash-theme.h: Add new fields theme_width, theme_height, pixmap_x,
      pixmap_y. Bump THEME_VERSION for this.
    - usplash-theme.h: Add new functions usplash_theme_width() and
      usplash_theme_height() which usplash and themes should use instead of an
      explicit pixmap->width/height. These functions will return
      theme_{width,height} and fall back to the pixmap's dimensions if the
      theme size is 0.
    - libusplash.c: Implement above two functions, update the code to use them
      instead of the pixmap dimensions, and add the pixmap_{x,y} offset when
      drawing pixmap.
    - This will require all usplash themes to be rebuilt, define above
      four fields, and replace theme->pixmap->width() with
      usplash_theme_width(theme) (likewise for height). If you want to retain
      full screen pixmaps, just set all of those fields to 0.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 04 Mar 2009 21:41:36 +0100

usplash (0.5.29) jaunty; urgency=low

  * libusplash.c: Revert signal handler changes which seem to have caused
    problems with Xorg initialization in some situations (LP: #327230).

 -- Kees Cook <kees@ubuntu.com>  Tue, 10 Feb 2009 11:27:11 -0800

usplash (0.5.28) jaunty; urgency=low

  * libusplash.{c,h}, usplash.c:
    - Move pulsate and animation pipes into libusplash to unblock animations
      while waiting for stdin (LP: #326709).
    - Process animations between commands to avoid falling behind when
      running in verbose mode.
    - Drop unneeded signal-blocking code.

 -- Kees Cook <kees@ubuntu.com>  Wed, 04 Feb 2009 06:47:38 -0800

usplash (0.5.27) jaunty; urgency=low

  * debian/usplash.py: Added information to be gathered when using apport to
    report a bug about usplash (LP: #319333). 

 -- Brian Murray <brian@ubuntu.com>  Wed, 21 Jan 2009 18:50:28 +0100

usplash (0.5.26) jaunty; urgency=low

  * Fix various compiler warnings.
  * debian/splash-functions: Kill usplash more gracefully in splash_stop;
    introduces new SPLASH_ORIG_CONSOLE environment variable which can be
    checked by other init scripts (LP: #304136).
  * Notify the main loop by means of a self-pipe when SIGALRM is triggered,
    rather than attempting to animate the display from a signal handler
    (thanks to Andrea Gasparini for testing and adjustment; LP: #259761).
  * Sleep for 0.1 second rather than 1 second in init script while waiting
    for usplash to die, and adjust the loop count both there and in
    splash-functions to match the previous behaviour of giving usplash up to
    10 seconds to go away (LP: #313574).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Jan 2009 12:00:21 +0000
