## usplash 0.5.32jolicloud5

=== debian/changelog ===
usplash (0.5.32jolicloud5) robby; urgency=low

  * Fixed an issue where the background text colour was off in 16bpp
    mode

 -- Adam McDaniel <adam@jolicloud.org>  Wed, 16 Jun 2010 18:03:02 +0200

usplash (0.5.32jolicloud4) robby; urgency=low

  * Fix spurious mknod error messages

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Tue, 08 Jun 2010 18:49:44 +0200

usplash (0.5.32jolicloud3) robby; urgency=low

  * Revert "Disable usplash_down on nVidia devices; temp hack to avoid
    screen corruption issues"

 -- Adam McDaniel <adam@jolicloud.org>  Wed, 17 Mar 2010 04:59:44 -0600

usplash (0.5.32jolicloud2) robby; urgency=low

  * Disable usplash_down on nVidia devices; temp hack to avoid screen
    corruption issues

 -- Adam McDaniel <adam@jolicloud.org>  Mon, 15 Mar 2010 14:27:36 -0600

usplash (0.5.32jolicloud1) robby; urgency=low

  * Jolicloud repackaging and typo fix

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Fri, 20 Nov 2009 13:08:25 +0100

usplash (0.5.31ubuntu1) jaunty; urgency=low

  *usplash_svga.c: Added missing 16-bit special case for usplash_svga_clear()  

 -- Luca Béla Palkovics <luca.bela.palkovics@gmail.com>  Sun, 19 Jul 2009 13:51:47 +0200
