## usplash 0.5.49

=== debian/changelog ===
usplash (0.5.49) karmic; urgency=low

  * Fix remaining cases of usplash launch that need to have -p specified
    (really closes LP: #458398).

 -- Kees Cook <kees@ubuntu.com>  Mon, 26 Oct 2009 13:47:12 -0700

usplash (0.5.48) karmic; urgency=low

  [ Kees Cook ]
  * usplash.8: document --background and --pidfile.
  * debian/usplash.upstart: as in Jaunty, start in pulsate mode for themes
    that define a progress bar (LP: #458398).

  [ Johan Kiviniemi ]
  * Let clients CLEAR old messages away when in quiet mode.
    - Fixes LP: #215666: mountall’s messages such as “foo cannot yet be
      mounted” would be left on the screen even after success.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 26 Oct 2009 09:30:00 +0000

usplash (0.5.47) karmic; urgency=low

  [ Colin Watson ]
  * Dismiss splash screen if Escape is pressed outside an INPUT* command
    (LP: #195666).

  [ Scott James Remnant ]
  * Build on the above patch adding an ESCAPE command that takes the pid
    of a process.  When Escape is pressed, if this command has been received
    and no further INPUT* commands received, SIGINT is sent to that process
    instead.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 20 Oct 2009 11:23:34 +0100

usplash (0.5.46) karmic; urgency=low

  * usplash_svga.c, usplash_svga_set_palette(): Do not destroy the palette
    that gets passed as an argument. If in 8 bpp mode, create a copy, in other
    modes don't touch it at all. (LP: #448988)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Oct 2009 18:07:05 +0200

usplash (0.5.45) karmic; urgency=low

  * Make sure that when we open devices we use O_NOCTTY, since otherwise
    when run under Upstart we end up with controlling terminals that we
    didn't expect.
  * Then after we've forked into a child process, we call the TIOCSCTTY
    ioctl() to take control of the terminal we're on so we get input.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 15 Oct 2009 23:18:30 +0100

usplash (0.5.44) karmic; urgency=low

  [ Colin Watson ]
  * Add usplash_backend_name() function to the svgalib and bogl backends,
    returning "svga" and "bogl" respectively.

  [ Scott James Remnant ]
  * Move the console restoration into an atexit() function registered
    before the one from the svga or bogl backends; that way switching
    the VT doesn't result in svgalib having a panic attack and vomiting
    all over everything.
  * Remove the svgalib code guarding against restoring text mode when in
    a child process of the one that initialised the display; since we
    daemonise, this code meant we never restored text mode and left a
    corrupted or blank display.  LP: #448977, #447692.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 14 Oct 2009 04:36:31 +0100

usplash (0.5.43) karmic; urgency=low

  * usplash.c: Provide a new FADEOUT command to fade out the logo without
    QUITing. Change QUIT to not fade it out again if FADEOUT was sent.
    Document the new command in usplash_write.8.
  * debian/splash-functions, usplash_stop(): In runlevel 0/6, send FADEOUT
    command, to restore fade-out effect after the changes in r310 (which
    changed usplash not to terminate on shutdown/reboot any more). 
    (LP: #450454)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 13 Oct 2009 22:48:49 +0200

usplash (0.5.42) karmic; urgency=low

  [ Colin Watson ]
  * Fix the Upstart job's pre-start script to stop the job when conditions
    are such that it shouldn't be started, without using 'normal exit 0 1'.

  [ Steve Langasek ]
  * Stop the job when mountall-shell is running, so that users who've been
    dropped to a shell can actually interact with it.  LP: #448214.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 10 Oct 2009 14:43:46 -0700

usplash (0.5.41) karmic; urgency=low

  [ Colin Watson ]
  * Add new options --background and --pidfile, to stop usplash startup
    being racy and to save a second on system shutdown. The pid file is now
    only written after usplash has opened its FIFO and set up the console.
  * Always enable usplash for 9.10 to hide boot messages, since we aren't
    yet ready to make it show up only on relatively slow boots (usplash
    tends to slow down boot on SSD-based systems). We'll revisit this for
    10.04 (LP: #444362).
  * Switch console on normal exit from usplash (i.e. the QUIT command or
    SIGTERM/SIGINT) rather than doing it after usplash exits.
  * On shutdown, wait for X to get the console out of graphics mode before
    starting our own setup.
  * Convert splash-functions to rely on usplash's Upstart job, and avoid
    killing usplash on system shutdown.
  * Redirect init script messages to tty8 if usplash was started during the
    current boot, regardless of the current virtual console (LP: #440871).

  [ Scott James Remnant ]
  * Replace --ignore-sigterm option with proper SIGTERM handling (and SIGINT)
    that causes the main loop to exit just as if it had timed out.
  * Move the shell logic that reads the framebuffer size into the C code to
    save on shell parsing overhead, and avoid the defeating of Upstart
    daemon tracking.
  * Have usplash read the kernel command-line itself and imply -v if
    "quiet" is not present.
  * Merge the usplash and usplash-down Upstart jobs, this neatly means
    that they don't have to check for each other with pidof, and you can
    use "start usplash" and "stop usplash" when you really mean just that.
  * usplash should not be a task (we want "start usplash" to return once
    usplash is running).
  * Fix the standard input flushing function to avoid an infinite loop.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 09 Oct 2009 11:34:31 +0100

usplash (0.5.40) karmic; urgency=low

  * libusplash.c: Move waiting out of dim_logo() into fade_logo(), so that we
    can use dim_logo() for asynchronous pulsating as well.
  * libusplash.{h,c}: Add pulse_logo() which lets the logo pulsate another

