=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
 
 Package: usplash
 Architecture: amd64 armel i386 lpia powerpc sparc
-Depends: ${shlibs:Depends}, debconf (>= 0.5) | debconf-2.0, initramfs-tools (>= 0.40ubuntu30)
+Depends: ${shlibs:Depends}, debconf (>= 0.5) | debconf-2.0, initramfs-tools (>= 0.92bubuntu50), upstart (>= 0.6.3-4)
 Recommends: usplash-theme-ubuntu | usplash-theme
+Breaks: gdm (<< 2.28.0-0ubuntu8), kdm (<< 4:4.3.1-0ubuntu14)
 Description: Userspace bootsplash utility
  Usplash is a userspace application that uses the Linux framebuffer interface
  to draw a splash screen at boot. It has a companion utility that is able to
