=== debian/changelog ===
usplash (0.5.51) lucid; urgency=low

  * initramfs/hooks/usplash, initramfs/scripts/init-top/usplash: Also
    change the option here too.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 01 Dec 2009 04:10:16 +0000

usplash (0.5.50) lucid; urgency=low

  * initramfs/conf-hooks.d/usplash: Update to set FRAMEBUFFER=y

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 01 Dec 2009 00:01:46 +0000
