=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: usplash
 Architecture: amd64 armel i386 lpia powerpc sparc
-Depends: ${shlibs:Depends}, debconf (>= 0.5) | debconf-2.0, initramfs-tools (>= 0.92bubuntu50), upstart (>= 0.6.3-4)
+Depends: ${shlibs:Depends}, debconf (>= 0.5) | debconf-2.0, initramfs-tools (>= 0.92bubuntu55), upstart (>= 0.6.3-4)
 Recommends: usplash-theme-ubuntu | usplash-theme
 Breaks: gdm (<< 2.28.0-0ubuntu8), kdm (<< 4:4.3.1-0ubuntu14)
 Description: Userspace bootsplash utility
