=== debian/rules ===
--- 
+++ 
@@ -75,8 +75,8 @@
 	dh_strip
 	dh_compress -X example
 	dh_fixperms
+	dh_makeshlibs
 	dh_installdeb
-	dh_makeshlibs
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
