## usplash 0.5.52

=== debian/changelog ===
usplash (0.5.52) maverick; urgency=low

  * Set DEB_HOST_ARCH if not passed in the env; LP: #568337.
  * Wrap build-deps and deps.
  * Bump up Standards-Version to 3.8.4.
  * Add ${misc:Depends}.
  * Use https://code.launchpad.net/ in Vcs-Bzr.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 13 May 2010 15:36:23 +0200
