=== debian/control ===
Source: usplash
Priority: optional
Section: misc
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 5.0.0),
               libgd2-xpm-dev,
               libpng-dev,
               libx86-dev [amd64 i386 lpia]
Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/usplash/ubuntu

Package: usplash
Architecture: amd64 armel i386 lpia powerpc sparc
Depends: ${shlibs:Depends},
         ${misc:Depends},
         debconf (>= 0.5) | debconf-2.0,
         initramfs-tools (>= 0.92bubuntu55),
         upstart (>= 0.6.3-4)
Recommends: usplash-theme-ubuntu | usplash-theme
Breaks: gdm (<< 2.28.0-0ubuntu8),
        kdm (<< 4:4.3.1-0ubuntu14)
Description: Userspace bootsplash utility
 Usplash is a userspace application that uses the Linux framebuffer interface
 to draw a splash screen at boot. It has a companion utility that is able to
 send commands to usplash, allowing information about the bootup sequence to
 be displayed in a more attractive way.

Package: libusplash0
Architecture: amd64 armel i386 lpia powerpc sparc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Replaces: usplash (<< 0.4-40)
Description: userspace bootsplash library
 This package contains the runtime library for the usplash package.

Package: libusplash-dev
Section: libdevel
Architecture: amd64 armel i386 lpia powerpc sparc
Conflicts: usplash-dev
Replaces: usplash-dev
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libusplash0 (= ${binary:Version})
Description: Theming support files for usplash
 This package contains everything you need to make a usplash theme,
 including an example
