=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 export DH_OPTIONS
 
 CFLAGS = -g -Wall
+
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 # Disable optimisations if noopt found in $DEB_BUILD_OPTIONS
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
